package com.qmth.cqb.paper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.paper.model.PaperStructBlueprint;
/**
 * @describle 蓝图试卷结构repo
 * @author weiwenhai
 * @date   2017.11.20
 */
public interface PaperStructBlueprintRepo extends JpaRepository<PaperStructBlueprint, Long>,QueryByExampleExecutor<PaperStructBlueprint>,JpaSpecificationExecutor<PaperStructBlueprint>{
		
	List<PaperStructBlueprint> findByCourseNo(String courseNo);
}
