package com.qmth.cqb.paper.service;

import java.util.List;

import com.qmth.cqb.paper.model.PaperDetailInfoUnitStructBlueprint;

/**
 * @describle 蓝图试卷结构大题详情属性数量 service
 * @author weiwenhai
 * @date   2017.11.20
 */
public interface PaperDetailInfoUnitStructBlueprintService {

	/**
	 * 保存新增的单个大题详情属性
	 * @param paperDetailInfoUnitStructBlueprint
	 */
	public void saveSingle(PaperDetailInfoUnitStructBlueprint paperDetailInfoUnitStructBlueprint);
	
	/**
	 * 根据大题详情id和大题id查询  大题详情属性集合
	 * @param paperDetailInfoStructBlueprintId
	 * @param paperDetailStructBlueprintId
	 * @return
	 */
	public List<PaperDetailInfoUnitStructBlueprint> getPaperDetailInfoUnitStructBlueprint(Long paperDetailInfoStructBlueprintId, Long paperDetailStructBlueprintId);
	
	/**
	 * 删除单个大题详情属性集合
	 * @param paperDetailInfoUnitStructBlueprint
	 */
	public void deleteSingle(PaperDetailInfoUnitStructBlueprint paperDetailInfoUnitStructBlueprint);
}
